<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.axzo.msg.center.dal.mapper.MNSMessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.axzo.msg.center.domain.entity.MNSMessage">
        <id column="id" property="id" />
        <result column="app_no" property="appNo" />
        <result column="request_no" property="requestNo" />
        <result column="message_order_no" property="messageOrderNo" />
        <result column="message_type" property="messageType" />
        <result column="notify_type" property="notifyType" />
        <result column="status" property="status" />
        <result column="channel_code" property="channelCode" />
        <result column="channel_name" property="channelName" />
        <result column="template_no" property="templateNo" />
        <result column="subject" property="subject" />
        <result column="target_address" property="targetAddress" />
        <result column="channel_biz_id" property="channelBizId" />
        <result column="channel_request_id" property="channelRequestId" />
        <result column="notify_rule" property="notifyRule" />
        <result column="remark" property="remark" />
        <result column="create_at" property="createAt" />
        <result column="update_at" property="updateAt" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="is_delete" property="isDelete" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, app_no, request_no, message_order_no, message_type, notify_type, status, channel_code, channel_name, template_no, subject, target_address, channel_biz_id, channel_request_id,  notify_rule, remark, create_at, update_at, create_by, update_by, is_delete
    </sql>

</mapper>
